Skip to main content
`Ctrl`+`K`

# SExtractor

class astropy.io.ascii.SExtractor

  Bases: `BaseReader`

  SExtractor format table.

  SExtractor is a package for faint-galaxy photometry (Bertin & Arnouts 1996, A&A Supp. 317, 393.)

  See: https://sextractor.readthedocs.io/en/latest/

  Example:

      # 1 NUMBER
      # 2 ALPHA_J2000
      # 3 DELTA_J2000
      # 4 FLUX_RADIUS
      # 7 MAG_AUTO [mag]
      # 8 X2_IMAGE Variance along x [pixel**2]
      # 9 X_MAMA Barycenter position along MAMA x axis [m**(-6)]
      # 10 MU_MAX Peak surface brightness above background [mag * arcsec**(-2)]
      1 32.23222 10.1211 0.8 1.2 1.4 18.1 1000.0 0.00304 -3.498
      2 38.12321 -88.1321 2.2 2.4 3.1 17.0 1500.0 0.00908 1.401

  Note the skipped numbers since flux_radius has 3 columns. The three FLUX_RADIUS columns will be named FLUX_RADIUS, FLUX_RADIUS_1, FLUX_RADIUS_2 Also note that a post-ID description (e.g. “Variance along x”) is optional and that units may be specified at the end of a line in brackets.

  Methods Summary

  `read`(table) | Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.
  `write`(table) | Write `table` as list of strings.

  Methods Documentation

  read(table)

    Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.

  write(table)

    Write `table` as list of strings.

    Parameters:
      table `Table`

        Input table data.

    Returns:
      lines `python:list`

        List of strings corresponding to ASCII table